FROM git.vaala.cloud/vaalacat/golang:1.20 AS builder

# WORKDIR $GOPATH/src/mcbot
# COPY . .
# RUN mkdir /app && \
# 	CGO_ENABLED=0 GOPROXY=https://goproxy.cn,direct go build -o mcbot main.go && \
# 	cp mcbot /app/

FROM git.vaala.cloud/vaalacat/alpine
# COPY --from=builder /app/mcbot /app/mcbot
COPY mcbot /app/mcbot
ENTRYPOINT [ "/app/mcbot" ]